Bug 631939 (CVE-2010-1812) - CVE-2010-1812 webkit: use-after-free flaw in handling of selections
Summary: CVE-2010-1812 webkit: use-after-free flaw in handling of selections
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-1812
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 640382 640385 640386
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-08 17:55 UTC by Vincent Danen
Modified: 2019-09-29 12:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-07 07:01:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0177 normal SHIPPED_LIVE Moderate: webkitgtk security update 2011-01-25 17:07:15 UTC

Description Vincent Danen 2010-09-08 17:55:02 UTC
A use after free issue exists in WebKit's handling of selections. Visiting
a maliciously crafted website may lead to an unexpected application
termination or arbitrary code execution. This issue is addressed through
improved handling of selections.  Credit to Ojan Vafai of Google, Inc. for
reporting this issue.

References:

https://bugs.webkit.org/show_bug.cgi?id=41523
http://trac.webkit.org/changeset/62873

Comment 1 Vincent Danen 2010-09-08 17:57:54 UTC
Public via http://support.apple.com/kb/HT4334

Comment 2 Vincent Danen 2010-10-05 16:24:52 UTC
This issue has been corrected in WebKitGTK 1.2.5.

Comment 3 Vincent Danen 2010-10-05 17:18:13 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-all [bug 640382]

Comment 5 errata-xmlrpc 2011-01-25 17:07:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html


Note You need to log in before you can comment on or make changes to this bug.